v1.0
post
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/sites/{siteId}/recon/shipments
Retrieves a list of resupply orders where each order contains an order ID and an order status. In the request body, kitRange should have the following format: KIT_NUMBER:min:max. Rights: OrsInventoryPost and either SourceDataVerification or OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
siteId(required): string(uuid)
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B1B8327AFAA6412287106192AB5984EF -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B1B8327AFAA6412287106192AB5984EF
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRequest object to create a reconciliation shipment.
Show Source
-
kits: array
kits
Minimum Number of Items:
1Contains kit IDs. -
kitsFilter: object
ReconShipmentKitsFilter
Contains filters for kits for a reconciliation shipment.
-
unblinded: boolean
Indicates whether unblinded or blinded.Example:
true
Nested Schema : kits
Type:
arrayMinimum Number of Items:
1Contains kit IDs.
Show Source
Example:
[
"E39FF55A445543A38D513325664F0B2D"
]Nested Schema : ReconShipmentKitsFilter
Type:
objectContains filters for kits for a reconciliation shipment.
Show Source
-
inventoryStatusIds: array
inventoryStatusIds
Contains inventory status IDs.
-
kitRange: string
(KIT_NUMBER:XXX:XXX)
Range of kit numbers.Example:
KIT_NUMBER:10:100 -
searchString: string
Search string for kits.Example:
Some search string -
subjectId: string
(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
Example:
{
"kitRange":"KIT_NUMBER:10:100",
"searchString":"Some search string",
"inventoryStatusIds":[
5
],
"subjectId":"B1B8327AFAA6412287106192AB5984EF"
}Nested Schema : inventoryStatusIds
Type:
arrayContains inventory status IDs.
Show Source
-
Array of:
integer(int32)
Example:
5
Example:
[
5
]Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
Show Source
array-
Array of:
object ResupplyResponse
Title:
ResupplyResponseResponse object containing resupply details.
Nested Schema : ResupplyResponse
Type:
objectTitle:
ResupplyResponseResponse object containing resupply details.
Show Source
-
orderId: string
(uuid)
Order ID.
-
status: string
Allowed Values:
[ "PENDING", "INTRANSIT", "RECEIVED", "CANCELLED", "LOST", "CONFIRMED", "INVALID", "PENDING_DESTRUCTION", "RECEIVED_FOR_DESTRUCTION", "DESTROYED" ]Order status.Example:DESTROYED
Examples
400 Response
'Kit reconciliation required was not set.', 'You cannot update the status of this kit because the kit was sent to a depot', 'You cannot update the status of this kit because it is at a site that you do not have access to. Work with your CRA or a clinical supply manager to update the kit.', 'Reconciliation shipment is not allowed as site has drug destruction capability.', 'Reconciliation shipment cannot be created as none of the depots has drug destruction capability.', 'Update kits cannot have both the kit identifiers list and the kits filter set.', 'Update kits must have either the kit identifiers list or the kits filter set.', 'Invalid inventory status transition.', 'Invalid kit at site.', 'Invalid kit range filter.', 'subjectId is required.', 'Invalid subject.', 'Update kits no rows were found to update.', 'Update kits retrieved size exceeds maximum rows for update limit of.', 'Update kits retrieve error, the following kit identifiers were not found.'
Nested Schema : details
Type:
objectExamples
404 Response
Site ID not found in site service.
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Nested Schema : details
Type:
objectExamples